//
//  UNCAppDelegate.h
//  MusicList
//
//  Created by Calvin Stephens IV on 4/3/12.
//  Copyright (c) 2012 Unicode Concepts. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UNCAppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@property (strong, nonatomic) UINavigationController *navigationController;

@end
