//
//  UNCMusicNewViewController.h
//  MusicList
//
//  Created by Calvin Stephens IV on 4/3/12.
//  Copyright (c) 2012 Unicode Concepts. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Music;

@protocol UNCMusicNewViewControllerDelegate;

@interface UNCMusicNewViewController : UIViewController
{
    Music *music;
    
    UITextField *albumTextField;
    UITextField *artistTextField;
    
    id <UNCMusicNewViewControllerDelegate> delegate;
}

@property (nonatomic, strong) Music *music;

@property (nonatomic, strong) IBOutlet UITextField *albumTextField;
@property (nonatomic, strong) IBOutlet UITextField *artistTextField;

@property (nonatomic, strong) id <UNCMusicNewViewControllerDelegate> delegate;

@end

@protocol UNCMusicNewViewControllerDelegate <NSObject>

- (void)musicNewViewController:(UNCMusicNewViewController *)controller didSaveMusic:(Music *)music;
- (void)musicNewViewController:(UNCMusicNewViewController *)controller didCancelMusic:(Music *)music;

@end
